/*
 * AboutPage
 *
 * This is the first thing users see of our App, at the '/' route
 *
 * NOTE: while this component should technically be a stateless functional
 * component (SFC), hot reloading does not currently support SFCs. If hot
 * reloading is not a necessity for you then you can refactor it and remove
 * the linting exception.
 */

import React, { Component } from 'react';
import { Link } from 'react-router'

export default class AboutPage extends Component { // eslint-disable-line react/prefer-stateless-function
  state = {
    displayNname: '进销存',
    dingtalkChat: 'https://t.dingtalk.com/invite/index?code=bd7028b731&inviterUid=1ACC42E02F87B8A199372A3FA1525DE6',
  };

  constructor(props) {
    super(props);
  }

  render() {
    return (
      <div id="mobile_help_about">
        <div className="help-list">
          <div className="help-item">
            <div className="ant-row ant_main">
              <div className="ant-col-4">
                <img className="img-responsive" src="/assets/images/org-logo.png" />
              </div>
              <div className="ant-col-20">
                <div className="ik-padding-left-10 help-head-text">
                  <p>{this.state.displayNname}</p>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div className="help-item help-item-narrow">常见问题
          <Link to="/help/" className="pull-right ik-theme-color">更多</Link>
        </div>
        <div className="help-list">
          <div className="help-item">
            <Link to="/help/pc" className="ik-theme-color ik-display-block">
              如何打开pc端
              <i className="anticon anticon-right pull-right ik-margin-top-5" />
            </Link>
          </div>
        </div>
        <div className="help-item help-item-narrow">
          如有疑问请联系爱客客服（每天8:00-20:00
        </div>
        <div className="help-list">
          <div className="help-item">
            <p>
              400客服电话
              <a href="tel:400-867-1101" className="pull-right ik-theme-color">
                400-867-1101
              </a>
            </p>
            <div className="help-item">
              <p>
                <Link to="/help/feedback" className="title ik-display-block">
                  反馈问题
                  <i className="anticon anticon-right pull-right ik-margin-top-5" />
                </Link>
              </p>
            </div>
            <div className="help-item">
              <p>
                钉钉交流群
                <a href={this.state.dingtalkChat} className="pull-right ik-theme-color">
                  点击加群
                </a>
              </p>
            </div>
          </div>
        </div>
      </div>
    );
  }
}
