/*
 * PcPage
 *
 * This is the first thing users see of our App, at the '/' route
 *
 * NOTE: while this component should technically be a stateless functional
 * component (SFC), hot reloading does not currently support SFCs. If hot
 * reloading is not a necessity for you then you can refactor it and remove
 * the linting exception.
 */

import React, { Component } from 'react';

export default class PcPage extends Component { // eslint-disable-line react/prefer-stateless-function
  render() {
    return (
      <div id="mobile_help_pc" className="ik-margin-horizontal-10">
        <h1 className="ik-margin-top-15">如何打开PC端</h1>
        <h2 className="ik-margin-top-15">方法1：使用钉钉打开PC端页面</h2>
        <p>
          在PC钉钉上点击“工作”，选择“
          <span className="ik-theme-color">爱客进销存</span>
          ”点击即可自动进入PC端登录界面，且不用再次登录。
        </p>
        <div className="ik-margin-vertical-5">
          <img className="img-responsive" src="/assets/images/help/open_01.png" />
        </div>
        <h2 className="ik-margin-top-15">方法2：输入网址打开PC端页面</h2>
        <p>
          在浏览器中输入爱客进销存PC地址 www.ikjxc.com 进入登录页面，用手机钉钉扫描登录页面的二维码，即可打开爱客进销存PC端。
        </p>
        <div className="ik-margin-vertical-5">
          <img className="img-responsive" src="/assets/images/help/open_02.png" />
        </div>
      </div>
    );
  }
}
