/*
 * SystemPage
 *
 * This is the first thing users see of our App, at the '/' route
 *
 * NOTE: while this component should technically be a stateless functional
 * component (SFC), hot reloading does not currently support SFCs. If hot
 * reloading is not a necessity for you then you can refactor it and remove
 * the linting exception.
 */

import React, { Component } from 'react';

export default class SystemPage extends Component { // eslint-disable-line react/prefer-stateless-function

  render() {
    return (
      <div id="mobile_help_system" className="ik-margin-horizontal-10">
        <h1 className="ik-margin-top-15">如何配置系统</h1>
        <h2 className="ik-margin-top-15">1.调整人员角色和权限</h2>
        <p>
          在PC端设置页面，选择 “
          <span className="ik-theme-color">部门和用户设置</span>
          ”, 选择用户，点击编辑，为其设置 “角色”。
        </p>
        <div className="ik-margin-vertical-5">
          <img className="img-responsive" src="/assets/images/help/users.png" />
        </div>
        <h2 className="ik-margin-top-15">2.仓库管理设置</h2>
        <p>
          在PC端设置页面，选择“
          <span className="ik-theme-color">仓库管理 </span>
          ”，在仓库管理页面选择新增仓库，创建一个仓库。
        </p>
        <div className="ik-margin-vertical-5">
          <img className="img-responsive" src="/assets/images/help/warehouse.png" />
        </div>
        <h2 className="ik-margin-top-15">3.自动编号配置</h2>
        <p>
          在PC端设置页面，选择“
          <span className="ik-theme-color"> 自动编号配置 </span>
          ”，在配置页面勾选需要自动生成编号的单据，并设置其格式，然后保存即可。
        </p>
        <h2 className="ik-margin-vertical-5">4.小数点位数设置</h2>
        <p>
          在PC端设置页面，选择“
          <span className="ik-theme-color"> 小数点位数</span>
          ”，在配置页面设置小数点尾数，默认小数点都保留2位。
        </p>
        <div className="ik-margin-vertical-5">
          <img className="img-responsive" src="/assets/images/help/decimal_settings.png" />
        </div>
        <h2 className="ik-margin-top-15">5.自定义审批设置</h2>
        <p>
          在PC端设置页面，选择“
          <span className="ik-theme-color">自定义审批</span>
          ”，在配置页面勾选需要开启自定义审批的单据。
        </p>
        <div className="ik-margin-vertical-5">
          <img className="img-responsive" src="/assets/images/help/approval.png"/>
        </div>
      </div>
    );
  }
}
